org.apache.solr.common.util

## Class ExecutorUtil

- java.lang.Object
- - org.apache.solr.common.util.ExecutorUtil

    public class ExecutorUtil
    extends Object

### Field Summary

Fields
`static org.slf4j.Logger` `log`

### Constructor Summary

Constructors
Constructor and Description
`ExecutorUtil()`

### Method Summary

Methods
`static void` `shutdownAndAwaitTermination(ExecutorService pool)`
`static void` `shutdownNowAndAwaitTermination(ExecutorService pool)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    public static org.slf4j.Logger log

### Constructor Detail

#### ExecutorUtil

    public ExecutorUtil()

### Method Detail

#### shutdownNowAndAwaitTermination

    public static void shutdownNowAndAwaitTermination(ExecutorService pool)

#### shutdownAndAwaitTermination

    public static void shutdownAndAwaitTermination(ExecutorService pool)